commit: c405d8dcf9203c4505bc9a7e8fd57a503fdb30df
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 8 12:58:43 2021 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Jul 8 12:58:43 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c405d8dc
sys-power/bbswitch: Update live ebuild
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
sys-power/bbswitch/bbswitch-9999.ebuild | 14 ++++++--------
1 file changed, 6 insertions(+), 8 deletions(-)
diff --git a/sys-power/bbswitch/bbswitch-9999.ebuild
b/sys-power/bbswitch/bbswitch-9999.ebuild
index 7efe9cf7ccd..1c9b2ba061f 100644
--- a/sys-power/bbswitch/bbswitch-9999.ebuild
+++ b/sys-power/bbswitch/bbswitch-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -10,12 +10,10 @@ if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/Bumblebee-Project/${PN}.git"
EGIT_BRANCH="develop"
else
- PATCHES=(
- "${FILESDIR}/${PN}-0.8-kernel-4.12.patch"
- "${FILESDIR}/${PN}-0.8-kernel-5.6.patch"
- )
-
SRC_URI="https://github.com/Bumblebee-Project/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+ COMMIT="ddbd243638c7bc2baecf43a78aff46cdc12e9b2e"
+
SRC_URI="https://github.com/Bumblebee-Project/bbswitch/archive/${COMMIT}.tar.gz
-> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/bbswitch-${COMMIT}"
fi
DESCRIPTION="Toggle discrete NVIDIA Optimus graphics card"
@@ -41,8 +39,8 @@ pkg_setup() {
}
src_prepare() {
- # Fix build failure, bug #513542
- sed "s%^KDIR :=.*%KDIR := ${KERNEL_DIR}%g" -i Makefile || die
+ # Fix build failure, bug #513542 and bug #761370
+ sed "s%^KDIR :=.*%KDIR := ${KV_OUT_DIR:-$KERNEL_DIR}%g" -i Makefile ||
die
default
}